### File

`packages/eui-ecl/packages/core/src/lib/utils/directives/ecl-click-outside/ecl-click-outside.directive.ts`

### Metadata

Selector | `[eclClickOutside]`

### Index

###### Methods
Public onClick
###### Outputs
eclClickOutside
###### HostListeners
document:click

### Constructor

`constructor(elementRef: ElementRef)`
Parameters :
Name | Type | Optional
elementRef | `ElementRef` | No

### Outputs

eclClickOutside
Type : `EventEmitter`

### HostListeners

document:click
Arguments : `'$event.target'`

### Methods

Public onClick
`onClick(target)`
Decorators : `@HostListener('document:click', ['$event.target'])`
Parameters :
Name | Optional
target | No
Returns : `void`

# results matching ""

# No results matching ""